" VIM Syntax file for txr
" Kaz Kylheku <kaz@kylheku.com>

" INSTALL-HOWTO:
"
" 1. Create the directory .vim/syntax in your home directory and
"    put the files txr.vim and tl.vim into this directory.
" 2. In your .vimrc, add this command to associate *.txr and *.tl
"    files with the txr and tl filetypes:
"    :au BufRead,BufNewFile *.txr set filetype=txr | set lisp
"    :au BufRead,BufNewFile *.tl set filetype=tl | set lisp
"
" If you want syntax highlighting to be on automatically (for any language)
" you need to add ":syntax on" in your .vimrc also. But you knew that already!
"
" This file is generated by the genvim.txr script in the TXR source tree.

syn case match
syn spell toplevel

setlocal iskeyword=a-z,A-Z,48-57,!,$,&,*,+,-,:,<,=,>,?,\\,_,~,/

syn keyword tl_keyword contained %e% %pi% * *args*
syn keyword tl_keyword contained *args-full* *e* *flo-dig* *flo-epsilon*
syn keyword tl_keyword contained *flo-max* *flo-min* *full-args* *gensym-counter*
syn keyword tl_keyword contained *keyword-package* *lib-version* *listener-hist-len* *listener-multi-line-p*
syn keyword tl_keyword contained *listener-sel-inclusive-p* *load-path* *pi* *place-clobber-expander*
syn keyword tl_keyword contained *place-delete-expander* *place-macro* *place-update-expander* *print-base*
syn keyword tl_keyword contained *print-flo-digits* *print-flo-format* *print-flo-precision* *random-state*
syn keyword tl_keyword contained *random-warmup* *self-path* *stddebug* *stderr*
syn keyword tl_keyword contained *stdin* *stdlog* *stdnull* *stdout*
syn keyword tl_keyword contained *system-package* *txr-version* *unhandled-hook* *user-package*
syn keyword tl_keyword contained + - / /=
syn keyword tl_keyword contained : :addr :append :args
syn keyword tl_keyword contained :atime :auto :awk-file :awk-rec
syn keyword tl_keyword contained :begin :begin-file :blksize :blocks
syn keyword tl_keyword contained :byte-oriented :cdigit :chars :continue
syn keyword tl_keyword contained :counter :cspace :ctime :cword-char
syn keyword tl_keyword contained :decline :dev :digit :downcase
syn keyword tl_keyword contained :end :end-file :env :equal-based
syn keyword tl_keyword contained :fd :filter :fini :finish
syn keyword tl_keyword contained :form :from-current :from-end :from-start
syn keyword tl_keyword contained :from_html :frombase64 :fromhtml :frompercent
syn keyword tl_keyword contained :fromurl :fun :function :gap
syn keyword tl_keyword contained :gid :greedy :hextoint :init
syn keyword tl_keyword contained :ino :inputs :instance :into
syn keyword tl_keyword contained :let :lfilt :lines :list
syn keyword tl_keyword contained :longest :mandatory :maxgap :maxtimes
syn keyword tl_keyword contained :method :mingap :mintimes :mode
syn keyword tl_keyword contained :mtime :name :named :next-spec
syn keyword tl_keyword contained :nlink :nothrow :output :postinit
syn keyword tl_keyword contained :prio :rdev :real-time :reflect
syn keyword tl_keyword contained :repeat-spec :resolve :rfilt :set
syn keyword tl_keyword contained :set-file :shortest :size :space
syn keyword tl_keyword contained :static :string :symacro :times
syn keyword tl_keyword contained :tlist :to_html :tobase64 :tofloat
syn keyword tl_keyword contained :tohtml :tohtml* :toint :tonumber
syn keyword tl_keyword contained :topercent :tourl :uid :upcase
syn keyword tl_keyword contained :var :vars :weak-keys :weak-vals
syn keyword tl_keyword contained :whole :word-char :wrap <
syn keyword tl_keyword contained <= = > >=
syn keyword tl_keyword contained abort abs abs-path-p acons
syn keyword tl_keyword contained acons-new aconsql-new acos ado
syn keyword tl_keyword contained af-inet af-inet6 af-unix af-unspec
syn keyword tl_keyword contained ai-addrconfig ai-all ai-canonname ai-numerichost
syn keyword tl_keyword contained ai-numericserv ai-passive ai-v4mapped alet
syn keyword tl_keyword contained alist-nremove alist-remove all and
syn keyword tl_keyword contained andf ap apf append
syn keyword tl_keyword contained append* append-each append-each* apply
syn keyword tl_keyword contained aret ash asin assoc
syn keyword tl_keyword contained assql at-exit-call at-exit-do-not-call atan
syn keyword tl_keyword contained atan2 atom awk base64-decode
syn keyword tl_keyword contained base64-encode bignump bindable bit
syn keyword tl_keyword contained block block* boundp break-str
syn keyword tl_keyword contained brkint bs0 bs1 bsdly
syn keyword tl_keyword contained build build-list butlast caaaaar
syn keyword tl_keyword contained caaaadr caaaar caaadar caaaddr
syn keyword tl_keyword contained caaadr caaar caadaar caadadr
syn keyword tl_keyword contained caadar caaddar caadddr caaddr
syn keyword tl_keyword contained caadr caar cadaaar cadaadr
syn keyword tl_keyword contained cadaar cadadar cadaddr cadadr
syn keyword tl_keyword contained cadar caddaar caddadr caddar
syn keyword tl_keyword contained cadddar caddddr cadddr caddr
syn keyword tl_keyword contained cadr call call-clobber-expander call-delete-expander
syn keyword tl_keyword contained call-finalizers call-super-fun call-super-method call-update-expander
syn keyword tl_keyword contained callf car caseq caseql
syn keyword tl_keyword contained casequal cat-str cat-streams cat-vec
syn keyword tl_keyword contained catch catenated-stream-p catenated-stream-push cbaud
syn keyword tl_keyword contained cbaudex cdaaaar cdaaadr cdaaar
syn keyword tl_keyword contained cdaadar cdaaddr cdaadr cdaar
syn keyword tl_keyword contained cdadaar cdadadr cdadar cdaddar
syn keyword tl_keyword contained cdadddr cdaddr cdadr cdar
syn keyword tl_keyword contained cddaaar cddaadr cddaar cddadar
syn keyword tl_keyword contained cddaddr cddadr cddar cdddaar
syn keyword tl_keyword contained cdddadr cdddar cddddar cdddddr
syn keyword tl_keyword contained cddddr cdddr cddr cdr
syn keyword tl_keyword contained ceil chain chand chdir
syn keyword tl_keyword contained chmod chr-digit chr-int chr-isalnum
syn keyword tl_keyword contained chr-isalpha chr-isascii chr-isblank chr-iscntrl
syn keyword tl_keyword contained chr-isdigit chr-isgraph chr-islower chr-isprint
syn keyword tl_keyword contained chr-ispunct chr-isspace chr-isunisp chr-isupper
syn keyword tl_keyword contained chr-isxdigit chr-num chr-str chr-str-set
syn keyword tl_keyword contained chr-tolower chr-toupper chr-xdigit chrp
syn keyword tl_keyword contained clamp clear-error clear-struct clocal
syn keyword tl_keyword contained close-stream closelog cmp-str cmspar
syn keyword tl_keyword contained collect-each collect-each* comb compare-swap
syn keyword tl_keyword contained compl-span-str cond conda condlet
syn keyword tl_keyword contained cons conses conses* consp
syn keyword tl_keyword contained constantp copy copy-alist copy-cons
syn keyword tl_keyword contained copy-hash copy-list copy-str copy-struct
syn keyword tl_keyword contained copy-vec cos count-if countq
syn keyword tl_keyword contained countql countqual cr0 cr1
syn keyword tl_keyword contained cr2 cr3 crdly cread
syn keyword tl_keyword contained crtscts crypt cs5 cs6
syn keyword tl_keyword contained cs7 cs8 csize cstopb
syn keyword tl_keyword contained cum-norm-dist daemon dec defex
syn keyword tl_keyword contained define-accessor define-modify-macro define-place-macro defmacro
syn keyword tl_keyword contained defmeth defparm defparml defplace
syn keyword tl_keyword contained defstruct defsymacro defun defvar
syn keyword tl_keyword contained defvarl del delay delete-package
syn keyword tl_keyword contained display-width do dohash dotimes
syn keyword tl_keyword contained downcase-str drop drop-until drop-while
syn keyword tl_keyword contained dup dupfd dwim each
syn keyword tl_keyword contained each* echo echoctl echoe
syn keyword tl_keyword contained echok echoke echonl echoprt
syn keyword tl_keyword contained eighth empty endgrent endpwent
syn keyword tl_keyword contained ensure-dir env env-fbind env-hash
syn keyword tl_keyword contained env-vbind eq eql equal
syn keyword tl_keyword contained errno error eval evenp
syn keyword tl_keyword contained exception-subtype-p exec exit exit*
syn keyword tl_keyword contained exp expand-left expand-right expt
syn keyword tl_keyword contained exptmod extproc f$ f^
syn keyword tl_keyword contained f^$ false fboundp ff0
syn keyword tl_keyword contained ff1 ffdly fifth fileno
syn keyword tl_keyword contained filter-equal filter-string-tree finalize find
syn keyword tl_keyword contained find-frame find-if find-max find-min
syn keyword tl_keyword contained find-package find-struct-type first fixnum-max
syn keyword tl_keyword contained fixnum-min fixnump flatcar flatcar*
syn keyword tl_keyword contained flatten flatten* flet flip
syn keyword tl_keyword contained flipargs flo-dig flo-epsilon flo-int
syn keyword tl_keyword contained flo-max flo-max-dig flo-min flo-str
syn keyword tl_keyword contained floatp floor flush-stream flusho
syn keyword tl_keyword contained fmakunbound fmt fnm-casefold fnm-leading-dir
syn keyword tl_keyword contained fnm-noescape fnm-pathname fnm-period fnmatch
syn keyword tl_keyword contained for for* force fork
syn keyword tl_keyword contained format fourth from fstat
syn keyword tl_keyword contained ftw ftw-actionretval ftw-chdir ftw-continue
syn keyword tl_keyword contained ftw-d ftw-depth ftw-dnr ftw-dp
syn keyword tl_keyword contained ftw-f ftw-mount ftw-ns ftw-phys
syn keyword tl_keyword contained ftw-skip-siblings ftw-skip-subtree ftw-sl ftw-sln
syn keyword tl_keyword contained ftw-stop fun func-get-env func-get-form
syn keyword tl_keyword contained func-get-name func-set-env functionp gcd
syn keyword tl_keyword contained gen generate gensym gequal
syn keyword tl_keyword contained get-byte get-char get-clobber-expander get-delete-expander
syn keyword tl_keyword contained get-error get-error-str get-frames get-hash-userdata
syn keyword tl_keyword contained get-indent get-indent-mode get-line get-lines
syn keyword tl_keyword contained get-list-from-stream get-sig-handler get-string get-string-from-stream
syn keyword tl_keyword contained get-update-expander getaddrinfo getegid getenv
syn keyword tl_keyword contained geteuid getgid getgrent getgrgid
syn keyword tl_keyword contained getgrnam getgroups gethash getitimer
syn keyword tl_keyword contained getpid getppid getpwent getpwnam
syn keyword tl_keyword contained getpwuid getresgid getresuid getuid
syn keyword tl_keyword contained ginterate giterate glob glob-altdirfunc
syn keyword tl_keyword contained glob-brace glob-err glob-mark glob-nocheck
syn keyword tl_keyword contained glob-noescape glob-nomagic glob-nosort glob-onlydir
syn keyword tl_keyword contained glob-period glob-tilde glob-tilde-check greater
syn keyword tl_keyword contained group-by group-reduce gun handle
syn keyword tl_keyword contained handler-bind hash hash-alist hash-begin
syn keyword tl_keyword contained hash-construct hash-count hash-diff hash-eql
syn keyword tl_keyword contained hash-equal hash-from-pairs hash-isec hash-keys
syn keyword tl_keyword contained hash-list hash-next hash-pairs hash-proper-subset
syn keyword tl_keyword contained hash-revget hash-subset hash-uni hash-update
syn keyword tl_keyword contained hash-update-1 hash-values hashp have
syn keyword tl_keyword contained html-decode html-encode html-encode* hupcl
syn keyword tl_keyword contained iapply icanon icrnl identity
syn keyword tl_keyword contained ido iexten if ifa
syn keyword tl_keyword contained iff iffi iflet ignbrk
syn keyword tl_keyword contained igncr ignerr ignpar imaxbel
syn keyword tl_keyword contained in in6addr-any in6addr-loopback inaddr-any
syn keyword tl_keyword contained inaddr-loopback inc inc-indent indent-code
syn keyword tl_keyword contained indent-data indent-off inhash inlcr
syn keyword tl_keyword contained inpck int-chr int-flo int-str
syn keyword tl_keyword contained integerp intern interp-fun-p interpose
syn keyword tl_keyword contained invoke-catch ip ipf iread
syn keyword tl_keyword contained isig isqrt istrip itimer-prov
syn keyword tl_keyword contained itimer-real itimer-virtual iuclc iutf8
syn keyword tl_keyword contained ixany ixoff ixon juxt
syn keyword tl_keyword contained keep-if keep-if* keepq keepql
syn keyword tl_keyword contained keepqual keyword-package keywordp kill
syn keyword tl_keyword contained labels lambda last lazy-str
syn keyword tl_keyword contained lazy-str-force lazy-str-force-upto lazy-str-get-trailing-list lazy-stream-cons
syn keyword tl_keyword contained lazy-stringp lcm lcons lcons-fun
syn keyword tl_keyword contained lconsp ldiff length length-list
syn keyword tl_keyword contained length-str length-str-< length-str-<= length-str->
syn keyword tl_keyword contained length-str->= length-vec lequal less
syn keyword tl_keyword contained let let* lexical-fun-p lexical-lisp1-binding
syn keyword tl_keyword contained lexical-var-p lib-version link lisp-parse
syn keyword tl_keyword contained list list* list-str list-vec
syn keyword tl_keyword contained list-vector listp lnew load
syn keyword tl_keyword contained log log-alert log-auth log-authpriv
syn keyword tl_keyword contained log-cons log-crit log-daemon log-debug
syn keyword tl_keyword contained log-emerg log-err log-info log-ndelay
syn keyword tl_keyword contained log-notice log-nowait log-odelay log-perror
syn keyword tl_keyword contained log-pid log-user log-warning log10
syn keyword tl_keyword contained log2 logand logior lognot
syn keyword tl_keyword contained logtest logtrunc logxor lset
syn keyword tl_keyword contained lstat m$ m^ m^$
syn keyword tl_keyword contained mac-param-bind macro-ancestor macro-form-p macro-time
syn keyword tl_keyword contained macroexpand macroexpand-1 macrolet major
syn keyword tl_keyword contained make-catenated-stream make-env make-hash make-lazy-cons
syn keyword tl_keyword contained make-lazy-struct make-like make-package make-random-state
syn keyword tl_keyword contained make-similar-hash make-string-byte-input-stream make-string-input-stream make-string-output-stream
syn keyword tl_keyword contained make-strlist-input-stream make-strlist-output-stream make-struct make-struct-type
syn keyword tl_keyword contained make-sym make-time make-time-utc make-trie
syn keyword tl_keyword contained makedev makunbound mapcar mapcar*
syn keyword tl_keyword contained mapdo mapf maphash mappend
syn keyword tl_keyword contained mappend* mask match-fun match-regex
syn keyword tl_keyword contained match-regex-right match-regst match-regst-right match-str
syn keyword tl_keyword contained match-str-tree max mboundp member
syn keyword tl_keyword contained member-if memq memql memqual
syn keyword tl_keyword contained merge meth method min
syn keyword tl_keyword contained minor minusp mkdir mknod
syn keyword tl_keyword contained mkstring mlet mmakunbound mod
syn keyword tl_keyword contained multi multi-sort n-choose-k n-perm-k
syn keyword tl_keyword contained nconc new nexpand-left nil
syn keyword tl_keyword contained nilf ninth nl0 nl1
syn keyword tl_keyword contained nldly noflsh none not
syn keyword tl_keyword contained notf nreconc nreverse nthcdr
syn keyword tl_keyword contained null nullify num-chr num-str
syn keyword tl_keyword contained numberp oand obtain obtain*
syn keyword tl_keyword contained obtain*-block obtain-block ocrnl oddp
syn keyword tl_keyword contained ofdel ofill olcuc onlcr
syn keyword tl_keyword contained onlret onocr op open-command
syn keyword tl_keyword contained open-directory open-file open-fileno open-files
syn keyword tl_keyword contained open-files* open-pipe open-process open-socket
syn keyword tl_keyword contained open-socket-pair open-tail openlog opip
syn keyword tl_keyword contained opost or orf package-alist
syn keyword tl_keyword contained package-name package-symbols packagep pad
syn keyword tl_keyword contained parenb parmrk parodd partition
syn keyword tl_keyword contained partition* partition-by path-blkdev-p path-chrdev-p
syn keyword tl_keyword contained path-dir-p path-executable-to-me-p path-exists-p path-file-p
syn keyword tl_keyword contained path-mine-p path-my-group-p path-newer path-older
syn keyword tl_keyword contained path-pipe-p path-private-to-me-p path-read-writable-to-me-p path-readable-to-me-p
syn keyword tl_keyword contained path-same-object path-setgid-p path-setuid-p path-sock-p
syn keyword tl_keyword contained path-sticky-p path-strictly-private-to-me-p path-symlink-p path-writable-to-me-p
syn keyword tl_keyword contained pdec pendin perm pinc
syn keyword tl_keyword contained pipe place-form-p placelet placelet*
syn keyword tl_keyword contained plusp poll poll-err poll-in
syn keyword tl_keyword contained poll-nval poll-out poll-pri poll-rdband
syn keyword tl_keyword contained poll-rdhup poll-wrband pop pos
syn keyword tl_keyword contained pos-if pos-max pos-min posq
syn keyword tl_keyword contained posql posqual pppred ppred
syn keyword tl_keyword contained pprinl pprint pprof pred
syn keyword tl_keyword contained prinl print prof prog1
syn keyword tl_keyword contained progn promisep prop proper-list-p
syn keyword tl_keyword contained proper-listp pset pure-rel-path-p push
syn keyword tl_keyword contained pushhash pushnew put-byte put-char
syn keyword tl_keyword contained put-line put-lines put-string put-strings
syn keyword tl_keyword contained pwd qquote qref quote
syn keyword tl_keyword contained r$ r^ r^$ raise
syn keyword tl_keyword contained rand random random-fixnum random-state-get-vec
syn keyword tl_keyword contained random-state-p range range* range-regex
syn keyword tl_keyword contained rangep rcomb rcons read
syn keyword tl_keyword contained read-until-match readlink real-time-stream-p record-adapter
syn keyword tl_keyword contained reduce-left reduce-right ref refset
syn keyword tl_keyword contained regex-compile regex-parse regex-source regexp
syn keyword tl_keyword contained register-exception-subtypes regsub rehome-sym remhash
syn keyword tl_keyword contained remove-if remove-if* remove-path remq
syn keyword tl_keyword contained remq* remql remql* remqual
syn keyword tl_keyword contained remqual* rename-path repeat replace
syn keyword tl_keyword contained replace-list replace-str replace-struct replace-vec
syn keyword tl_keyword contained reset-struct rest ret retf
syn keyword tl_keyword contained return return* return-from revappend
syn keyword tl_keyword contained reverse rfind rfind-if rlcp
syn keyword tl_keyword contained rlet rmember rmember-if rmemq
syn keyword tl_keyword contained rmemql rmemqual rotate rperm
syn keyword tl_keyword contained rplaca rplacd rpos rpos-if
syn keyword tl_keyword contained rposq rposql rposqual rr
syn keyword tl_keyword contained rra rsearch rslot run
syn keyword tl_keyword contained s-ifblk s-ifchr s-ifdir s-ififo
syn keyword tl_keyword contained s-iflnk s-ifmt s-ifreg s-ifsock
syn keyword tl_keyword contained s-irgrp s-iroth s-irusr s-irwxg
syn keyword tl_keyword contained s-irwxo s-irwxu s-isgid s-isuid
syn keyword tl_keyword contained s-isvtx s-iwgrp s-iwoth s-iwusr
syn keyword tl_keyword contained s-ixgrp s-ixoth s-ixusr search
syn keyword tl_keyword contained search-regex search-regst search-str search-str-tree
syn keyword tl_keyword contained second seek-stream select self-load-path
syn keyword tl_keyword contained self-path seqp set set-diff
syn keyword tl_keyword contained set-hash-userdata set-indent set-indent-mode set-sig-handler
syn keyword tl_keyword contained setegid setenv seteuid setgid
syn keyword tl_keyword contained setgrent setgroups sethash setitimer
syn keyword tl_keyword contained setlogmask setpwent setresgid setresuid
syn keyword tl_keyword contained setuid seventh sh shift
syn keyword tl_keyword contained shuffle shut-rd shut-rdwr shut-wr
syn keyword tl_keyword contained sig-abrt sig-alrm sig-bus sig-check
syn keyword tl_keyword contained sig-chld sig-cont sig-fpe sig-hup
syn keyword tl_keyword contained sig-ill sig-int sig-io sig-iot
syn keyword tl_keyword contained sig-kill sig-pipe sig-poll sig-prof
syn keyword tl_keyword contained sig-pwr sig-quit sig-segv sig-stkflt
syn keyword tl_keyword contained sig-stop sig-sys sig-term sig-trap
syn keyword tl_keyword contained sig-tstp sig-ttin sig-ttou sig-urg
syn keyword tl_keyword contained sig-usr1 sig-usr2 sig-vtalrm sig-winch
syn keyword tl_keyword contained sig-xcpu sig-xfsz sign-extend sin
syn keyword tl_keyword contained sixth size-vec slet slot
syn keyword tl_keyword contained slotp slotset sock-accept sock-bind
syn keyword tl_keyword contained sock-cloexec sock-connect sock-dgram sock-family
syn keyword tl_keyword contained sock-listen sock-nonblock sock-peer sock-recv-timeout
syn keyword tl_keyword contained sock-send-timeout sock-set-peer sock-shutdown sock-stream
syn keyword tl_keyword contained sock-type some sort sort-group
syn keyword tl_keyword contained source-loc source-loc-str span-str special-operator-p
syn keyword tl_keyword contained special-var-p splice split split*
syn keyword tl_keyword contained split-str split-str-set sqrt sssucc
syn keyword tl_keyword contained ssucc stat static-slot static-slot-ensure
syn keyword tl_keyword contained static-slot-p static-slot-set stdlib str-in6addr
syn keyword tl_keyword contained str-in6addr-net str-inaddr str-inaddr-net str<
syn keyword tl_keyword contained str<= str= str> str>=
syn keyword tl_keyword contained stream-get-prop stream-set-prop streamp string-extend
syn keyword tl_keyword contained string-lt stringp struct-type struct-type-p
syn keyword tl_keyword contained structp sub sub-list sub-str
syn keyword tl_keyword contained sub-vec subtypep succ super
syn keyword tl_keyword contained super-method suspend swap symacrolet
syn keyword tl_keyword contained symbol-function symbol-macro symbol-name symbol-package
syn keyword tl_keyword contained symbol-value symbolp symlink sys:*lisp1*
syn keyword tl_keyword contained sys:*pl-env* sys:abscond* sys:abscond-from sys:apply
syn keyword tl_keyword contained sys:awk-expander sys:awk-let sys:awk-test sys:bad-slot-syntax
syn keyword tl_keyword contained sys:capture-cont sys:conv sys:conv-expand sys:conv-let
syn keyword tl_keyword contained sys:cp-origin sys:defmeth sys:do-conv sys:do-path-test
syn keyword tl_keyword contained sys:dwim-del sys:dwim-set sys:eval-err sys:expand
syn keyword tl_keyword contained sys:expr sys:fbind sys:gc sys:gc-set-delta
syn keyword tl_keyword contained sys:get-fb sys:get-mb sys:get-vb sys:handle-bad-syntax
syn keyword tl_keyword contained sys:if-to-cond sys:in6addr-condensed-text sys:l1-setq sys:l1-val
syn keyword tl_keyword contained sys:lbind sys:lisp1-setq sys:lisp1-value sys:list-builder-macrolets
syn keyword tl_keyword contained sys:make-struct-type sys:mark-special sys:obtain-impl sys:path-access
syn keyword tl_keyword contained sys:path-examine sys:path-test sys:path-test-mode sys:pl-expand
syn keyword tl_keyword contained sys:placelet-1 sys:prune-missing-inits sys:qquote sys:quasi
syn keyword tl_keyword contained sys:quasilist sys:r-s-let-expander sys:reg-expand-nongreedy sys:reg-optimize
syn keyword tl_keyword contained sys:register-simple-accessor sys:rplaca sys:rplacd sys:rslotset
syn keyword tl_keyword contained sys:set-hash-rec-limit sys:set-hash-str-limit sys:set-macro-ancestor sys:setq
syn keyword tl_keyword contained sys:setqf sys:splice sys:str-inaddr-net-impl sys:struct-lit
syn keyword tl_keyword contained sys:sym-clobber-expander sys:sym-delete-expander sys:sym-update-expander sys:top-fb
syn keyword tl_keyword contained sys:top-mb sys:top-vb sys:unquote sys:var
syn keyword tl_keyword contained sys:with-saved-vars syslog system-package t
syn keyword tl_keyword contained tab0 tab1 tab2 tab3
syn keyword tl_keyword contained tabdly take take-until take-while
syn keyword tl_keyword contained tan tb tc tcdrain
syn keyword tl_keyword contained tcflow tcflush tcgetattr tciflush
syn keyword tl_keyword contained tcioff tcioflush tcion tcoflush
syn keyword tl_keyword contained tcooff tcoon tcsadrain tcsaflush
syn keyword tl_keyword contained tcsanow tcsendbreak tcsetattr tenth
syn keyword tl_keyword contained test-clear test-dec test-inc test-set
syn keyword tl_keyword contained test-set-indent-mode tf third throw
syn keyword tl_keyword contained throwf time time-fields-local time-fields-utc
syn keyword tl_keyword contained time-parse time-string-local time-string-utc time-struct-local
syn keyword tl_keyword contained time-struct-utc time-usec to tofloat
syn keyword tl_keyword contained tofloatz toint tointz tok-str
syn keyword tl_keyword contained tok-where tostop tostring tostringp
syn keyword tl_keyword contained tprint transpose tree-bind tree-case
syn keyword tl_keyword contained tree-find trie-add trie-compress trie-lookup-begin
syn keyword tl_keyword contained trie-lookup-feed-char trie-value-at trim-str true
syn keyword tl_keyword contained trunc trunc-rem truncate-stream tuples
syn keyword tl_keyword contained txr-case txr-case-impl txr-if txr-path
syn keyword tl_keyword contained txr-sym txr-version txr-when typecase
syn keyword tl_keyword contained typeof typep umask umeth
syn keyword tl_keyword contained umethod uname unget-byte unget-char
syn keyword tl_keyword contained uniq unique unless unquote
syn keyword tl_keyword contained unsetenv until until* unwind-protect
syn keyword tl_keyword contained upcase-str upd update url-decode
syn keyword tl_keyword contained url-encode use user-package usl
syn keyword tl_keyword contained usleep uslot vdiscard vec
syn keyword tl_keyword contained vec-list vec-push vec-set-length vecref
syn keyword tl_keyword contained vector vector-list vectorp veof
syn keyword tl_keyword contained veol veol2 verase vintr
syn keyword tl_keyword contained vkill vlnext vmin vquit
syn keyword tl_keyword contained vreprint vstart vstop vsusp
syn keyword tl_keyword contained vswtc vt0 vt1 vtdly
syn keyword tl_keyword contained vtime vwerase w-continued w-coredump
syn keyword tl_keyword contained w-exitstatus w-ifcontinued w-ifexited w-ifsignaled
syn keyword tl_keyword contained w-ifstopped w-nohang w-stopsig w-termsig
syn keyword tl_keyword contained w-untraced wait weave when
syn keyword tl_keyword contained whenlet where while while*
syn keyword tl_keyword contained whilet width width-check window-map
syn keyword tl_keyword contained window-mappend with-clobber-expander with-delete-expander with-gensyms
syn keyword tl_keyword contained with-hash-iter with-in-string-byte-stream with-in-string-stream with-objects
syn keyword tl_keyword contained with-out-string-stream with-out-strlist-stream with-resources with-slots
syn keyword tl_keyword contained with-stream with-update-expander wrap wrap*
syn keyword tl_keyword contained xcase yield yield-from zap
syn keyword tl_keyword contained zerop zip
syn match txr_nested_error "[^\t ]\+" contained
syn match txr_variable "\(@[ \t]*\)[*]\?[ \t]*[A-Za-z_][A-Za-z_0-9]*"
syn match txr_splicevar "@[ \t,*@]*[A-Za-z_][A-Za-z_0-9]*" contained
syn match txr_metanum "@\+[0-9]\+"
syn match txr_badesc "\\." contained
syn match txr_escat "\\@" contained
syn match txr_stresc "\\[abtnvfre\\ \n"`']" contained
syn match txr_numesc "\\x[0-9A-Fa-f]\+;\?" contained
syn match txr_numesc "\\[0-7]\+;\?" contained
syn match txr_regesc "\\[abtnvfre\\ \n/sSdDwW()\|.*?+~&%\[\]\-]" contained

syn match txr_chr "#\\x[0-9A-Fa-f]\+"
syn match txr_chr "#\\o[0-7]\+"
syn match txr_chr "#\\[^ \t\nA-Za-z_0-9]"
syn match txr_chr "#\\[A-Za-z_0-9]\+"
syn match txr_ncomment ";.*"

syn match txr_dot "\." contained
syn match txr_num "#x[+\-]\?[0-9A-Fa-f]\+"
syn match txr_num "#o[+\-]\?[0-7]\+"
syn match txr_num "#b[+\-]\?[01]\+"
syn match txr_ident "[A-Za-z_0-9!$%&*+\-<=>?\\_~]*[A-Za-z_!$%&*+\-<=>?\\_~^][A-Za-z_0-9!$%&*+\-<=>?\\_~^]*" contained
syn match tl_ident "[:@][A-Za-z_0-9!$%&*+\-<=>?\\_~^/]\+"
syn match txr_braced_ident "[:][A-Za-z_0-9!$%&*+\-<=>?\\_~^/]\+" contained
syn match tl_ident "[A-Za-z_0-9!$%&*+\-<=>?\\_~/]*[A-Za-z_!$%&*+\-<=>?\\_~^/#][A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]*"
syn match txr_num "[+\-]\?[0-9]\+\([^A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]\|\n\)"me=e-1
syn match txr_badnum "[+\-]\?[0-9]*[.][0-9]\+\([eE][+\-]\?[0-9]\+\)\?[A-Za-z_!$%&*+\-<=>?\\_~^/#]\+"
syn match txr_num "[+\-]\?[0-9]*[.][0-9]\+\([eE][+\-]\?[0-9]\+\)\?\([^A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]\|\n\)"me=e-1
syn match txr_num "[+\-]\?[0-9]\+\([eE][+\-]\?[0-9]\+\)\([^A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]\|\n\)"me=e-1
syn match tl_ident ":"
syn match tl_splice "[ \t,]\|,[*]"

syn match txr_unquote "," contained
syn match txr_splice ",\*" contained
syn match txr_quote "'" contained
syn match txr_quote "\^" contained
syn match txr_dotdot "\.\." contained
syn match txr_metaat "@" contained

syn region txr_bracevar matchgroup=Delimiter start="@[ \t]*[*]\?{" matchgroup=Delimiter end="}" contains=txr_num,tl_ident,tl_splice,tl_metanum,txr_metaat,txr_braced_ident,txr_dot,txr_dotdot,txr_string,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_regex,txr_quasilit,txr_chr,tl_splice,txr_nested_error
syn region txr_list matchgroup=Delimiter start="#\?H\?(" matchgroup=Delimiter end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_badnum,tl_ident,txr_metanum,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_ncomment,txr_nested_error
syn region txr_bracket matchgroup=Delimiter start="\[" matchgroup=Delimiter end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_badnum,tl_ident,txr_metanum,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_ncomment,txr_nested_error
syn region txr_mlist matchgroup=Delimiter start="@[ \t^',]*(" matchgroup=Delimiter end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_badnum,tl_ident,txr_metanum,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_ncomment,txr_nested_error
syn region txr_mbracket matchgroup=Delimiter start="@[ \t^',]*\[" matchgroup=Delimiter end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_badnum,tl_ident,txr_metanum,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_ncomment,txr_nested_error
syn region txr_string start=+#\?\*\?"+ end=+["\n]+ contains=txr_stresc,txr_numesc,txr_badesc
syn region txr_quasilit start=+#\?\*\?`+ end=+[`\n]+ contains=txr_splicevar,txr_metanum,txr_bracevar,txr_mlist,txr_mbracket,txr_escat,txr_stresc,txr_numesc,txr_badesc
syn region txr_regex start="/" end="[/\n]" contains=txr_regesc,txr_numesc,txr_badesc
syn region tl_regex start="#/" end="[/\n]" contains=txr_regesc,txr_numesc,txr_badesc

hi def link txr_at Special
hi def link txr_atstar Special
hi def link txr_atat Special
hi def link txr_comment Comment
hi def link txr_ncomment Comment
hi def link txr_hashbang Preproc
hi def link txr_contin Preproc
hi def link txr_char String
hi def link txr_keyword Keyword
hi def link tl_keyword Type
hi def link txr_string String
hi def link txr_chr String
hi def link txr_quasilit String
hi def link txr_regex String
hi def link tl_regex String
hi def link txr_regdir String
hi def link txr_variable Identifier
hi def link txr_splicevar Identifier
hi def link txr_metanum Identifier
hi def link txr_escat Special
hi def link txr_stresc Special
hi def link txr_numesc Special
hi def link txr_regesc Special
hi def link txr_badesc Error
hi def link txr_ident Identifier
hi def link tl_ident Identifier
hi def link txr_num Number
hi def link txr_badnum Error
hi def link txr_quote Special
hi def link txr_unquote Special
hi def link txr_splice Special
hi def link txr_dot Special
hi def link txr_dotdot Special
hi def link txr_metaat Special
hi def link txr_munqspl Special
hi def link tl_splice Special
hi def link txr_error Error
hi def link txr_nested_error Error

let b:current_syntax = "lisp"

set lispwords=ado,alet,ap,append-each,append-each*,aret,awk,block,block*,build,caseq,caseql,casequal,catch,collect-each,collect-each*,compare-swap,cond,conda,condlet,dec,defex,define-accessor,define-modify-macro,define-place-macro,defmacro,defmeth,defparm,defparml,defplace,defstruct,defsymacro,defun,defvar,defvarl,del,delay,do,dohash,dotimes,each,each*,flet,flip,for,for*,fun,gen,gun,handle,handler-bind,ido,if,ifa,iflet,ignerr,ip,labels,lambda,lcons,let,let*,lset,mac-param-bind,macro-time,macrolet,mlet,obtain,obtain*,obtain*-block,obtain-block,op,pdec,pinc,placelet,placelet*,pop,pprof,prof,prog1,progn,push,pushnew,ret,return,return-from,rlet,rslot,slet,splice,suspend,symacrolet,sys:abscond-from,sys:awk-let,sys:conv,sys:expr,sys:fbind,sys:l1-val,sys:lbind,sys:lisp1-value,sys:path-examine,sys:path-test,sys:placelet-1,sys:splice,sys:struct-lit,sys:unquote,sys:var,sys:with-saved-vars,tb,tc,test-clear,test-dec,test-inc,test-set,tree-bind,tree-case,txr-case,txr-case-impl,txr-if,txr-when,typecase,unless,unquote,until,until*,unwind-protect,upd,when,whenlet,while,while*,whilet,with-clobber-expander,with-delete-expander,with-gensyms,with-hash-iter,with-in-string-byte-stream,with-in-string-stream,with-objects,with-out-string-stream,with-out-strlist-stream,with-resources,with-slots,with-stream,with-update-expander,yield,yield-from,zap,:method,:function,:init,:postinit,:fini
